<template>
  <div
    class="d-inline-block custom-placeholder"
    :style="`width: ${width}; height: ${height};`"
  >
    <div class="custom-placeholder-slider" />
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  props: {
    width: {
      required: false,
      default: '100%',
      type: String,
    },
    height: {
      required: false,
      default: '100%',
      type: String,
    },
  },
});

</script>

<style scoped lang="scss">
.custom-placeholder {
  background: #eee;
  overflow: hidden;
  &-slider {
    background: linear-gradient(90deg, #eee, #fafafa, #eee);
    width: 50%;
    height: 100%;
    animation: placeholder-anim infinite linear 2s;
  }
}

@keyframes placeholder-anim {
  0% {
    transform:translateX(-100%);
  }
  100% {
    transform:translateX(200%);
  }
}
</style>
